#
# spec file for package python-cooldict
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-cooldict
Version:        1.02
Release:        lp150.1.1
Summary:        dict-like structures for Python
License:        BSD-2-Clause
Group:          Development/Languages/Python
URL:            https://github.com/zardus/cooldict
Source:         https://files.pythonhosted.org/packages/source/c/cooldict/cooldict-%{version}.tar.gz
Source1:        https://github.com/zardus/cooldict/raw/master/LICENSE
Patch1:         cooldict_python3.patch
BuildRequires:  %{python_module ana >= 0.1}
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-ana >= 0.1
BuildArch:      noarch

%python_subpackages

%description
cooldict provides some dict-like structures for Python, such as
* a write-through cache around another dict
* a finalizable dict
* a branching dict
* a copy-on-write dict (with and without sinkholing capability)

%prep
%setup -q -n cooldict-%{version}
%patch1 -p1
[ -e LICENSE ] || cp %{SOURCE1} LICENSE

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%license LICENSE
%{python_sitelib}/*

%changelog
* Tue Apr 17 2018 jengelh@inai.de
- Update descriptions
* Sun Apr 15 2018 afaerber@suse.de
- Initial (1.02)
  * cooldict_python3.patch: Fix a Python 3.6 SyntaxError
